package ink.wgink.pojo.pos;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentSimpleDTO
 * @Description: 组织机构（简单）
 * @Author: WangGeng
 * @Date: 2020/4/28 12:11
 * @Version: 1.0
 **/
public class DepartmentPO implements Serializable {

    private static final long serialVersionUID = 595737776232939256L;
    @ApiModelProperty(name = "departmentIntId", value = "组织部门ID")
    private Long departmentIntId;
    @ApiModelProperty(name = "departmentId", value = "组织部门ID")
    private String departmentId;
    @ApiModelProperty(name = "departmentParentId", value = "组织部门上级ID")
    private String departmentParentId;
    @ApiModelProperty(name = "departmentParentName", value = "组织部门上级名称")
    private String departmentParentName;
    @ApiModelProperty(name = "departmentName", value = "组织部门名称")
    private String departmentName;
    @ApiModelProperty(name = "departmentNameEn", value = "组织部门名称（英文）")
    private String departmentNameEn;
    @ApiModelProperty(name = "departmentNameOther", value = "组织部门名称（其他类型）")
    private String departmentNameOther;
    @ApiModelProperty(name = "departmentCode", value = "组织部门编码")
    private String departmentCode;
    @ApiModelProperty(name = "departmentSummary", value = "组织部门说明")
    private String departmentSummary;
    @ApiModelProperty(name = "departmentLogo", value = "组织部门图标ID")
    private Long departmentLogo;
    @ApiModelProperty(name = "departmentLogoHover", value = "组织部门图标ID（选中）")
    private Long departmentLogoHover;
    @ApiModelProperty(name = "departmentType", value = "组织部门类别，1：机构，2：部门")
    private Integer departmentType;
    @ApiModelProperty(name = "departmentState", value = "组织部门状态，0：正常，1：锁定：2：冻结")
    private Integer departmentState;
    @ApiModelProperty(name = "departmentFax", value = "组织部门传真")
    private String departmentFax;
    @ApiModelProperty(name = "departmentTel", value = "组织部门电话")
    private String departmentTel;
    @ApiModelProperty(name = "departmentAddress", value = "组织部门地址")
    private String departmentAddress;
    @ApiModelProperty(name = "departmentMaster", value = "组织部门负责人")
    private String departmentMaster;
    @ApiModelProperty(name = "departmentMasterName", value = "组织部门负责人名称")
    private String departmentMasterName;
    @ApiModelProperty(name = "departmentDuty", value = "组织部门职责")
    private String departmentDuty;
    @ApiModelProperty(name = "departmentArea1Id", value = "1级区域ID")
    private String departmentArea1Id;
    @ApiModelProperty(name = "departmentArea1Code", value = "1级区域编码")
    private String departmentArea1Code;
    @ApiModelProperty(name = "departmentArea1Name", value = "1级区域名称")
    private String departmentArea1Name;
    @ApiModelProperty(name = "departmentArea2Id", value = "2级区域ID")
    private String departmentArea2Id;
    @ApiModelProperty(name = "departmentArea2Code", value = "2级区域编码")
    private String departmentArea2Code;
    @ApiModelProperty(name = "departmentArea2Name", value = "2级区域名称")
    private String departmentArea2Name;
    @ApiModelProperty(name = "departmentArea3Id", value = "3级区域ID")
    private String departmentArea3Id;
    @ApiModelProperty(name = "departmentArea3Code", value = "3级区域编码")
    private String departmentArea3Code;
    @ApiModelProperty(name = "departmentArea3Name", value = "3级区域名称")
    private String departmentArea3Name;
    @ApiModelProperty(name = "departmentArea4Id", value = "4级区域ID")
    private String departmentArea4Id;
    @ApiModelProperty(name = "departmentArea4Code", value = "4级区域编码")
    private String departmentArea4Code;
    @ApiModelProperty(name = "departmentArea4Name", value = "4级区域名称")
    private String departmentArea4Name;
    @ApiModelProperty(name = "departmentArea5Id", value = "5级区域ID")
    private String departmentArea5Id;
    @ApiModelProperty(name = "departmentArea5Code", value = "5级区域编码")
    private String departmentArea5Code;
    @ApiModelProperty(name = "departmentArea5Name", value = "5级区域名称")
    private String departmentArea5Name;
    @ApiModelProperty(name = "departmentLongitude", value = "组织部门经度")
    private String departmentLongitude;
    @ApiModelProperty(name = "departmentLatitude", value = "组织部门纬度")
    private String departmentLatitude;
    @ApiModelProperty(name = "departmentOrder", value = "组织部门排序，默认0")
    private String departmentOrder;

    public Long getDepartmentIntId() {
        return departmentIntId;
    }

    public void setDepartmentIntId(Long departmentIntId) {
        this.departmentIntId = departmentIntId;
    }

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentParentId() {
        return departmentParentId == null ? "" : departmentParentId;
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentParentName() {
        return departmentParentName == null ? "" : departmentParentName;
    }

    public void setDepartmentParentName(String departmentParentName) {
        this.departmentParentName = departmentParentName;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNameEn() {
        return departmentNameEn == null ? "" : departmentNameEn;
    }

    public void setDepartmentNameEn(String departmentNameEn) {
        this.departmentNameEn = departmentNameEn;
    }

    public String getDepartmentNameOther() {
        return departmentNameOther == null ? "" : departmentNameOther;
    }

    public void setDepartmentNameOther(String departmentNameOther) {
        this.departmentNameOther = departmentNameOther;
    }

    public String getDepartmentCode() {
        return departmentCode == null ? "" : departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentSummary() {
        return departmentSummary == null ? "" : departmentSummary;
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public Long getDepartmentLogo() {
        return departmentLogo;
    }

    public void setDepartmentLogo(Long departmentLogo) {
        this.departmentLogo = departmentLogo;
    }

    public Long getDepartmentLogoHover() {
        return departmentLogoHover;
    }

    public void setDepartmentLogoHover(Long departmentLogoHover) {
        this.departmentLogoHover = departmentLogoHover;
    }

    public Integer getDepartmentType() {
        return departmentType;
    }

    public void setDepartmentType(Integer departmentType) {
        this.departmentType = departmentType;
    }

    public Integer getDepartmentState() {
        return departmentState;
    }

    public void setDepartmentState(Integer departmentState) {
        this.departmentState = departmentState;
    }

    public String getDepartmentFax() {
        return departmentFax == null ? "" : departmentFax;
    }

    public void setDepartmentFax(String departmentFax) {
        this.departmentFax = departmentFax;
    }

    public String getDepartmentTel() {
        return departmentTel == null ? "" : departmentTel;
    }

    public void setDepartmentTel(String departmentTel) {
        this.departmentTel = departmentTel;
    }

    public String getDepartmentAddress() {
        return departmentAddress == null ? "" : departmentAddress;
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentMaster() {
        return departmentMaster == null ? "" : departmentMaster;
    }

    public void setDepartmentMaster(String departmentMaster) {
        this.departmentMaster = departmentMaster;
    }

    public String getDepartmentMasterName() {
        return departmentMasterName == null ? "" : departmentMasterName;
    }

    public void setDepartmentMasterName(String departmentMasterName) {
        this.departmentMasterName = departmentMasterName;
    }

    public String getDepartmentDuty() {
        return departmentDuty == null ? "" : departmentDuty;
    }

    public void setDepartmentDuty(String departmentDuty) {
        this.departmentDuty = departmentDuty;
    }

    public String getDepartmentArea1Id() {
        return departmentArea1Id == null ? "" : departmentArea1Id;
    }

    public void setDepartmentArea1Id(String departmentArea1Id) {
        this.departmentArea1Id = departmentArea1Id;
    }

    public String getDepartmentArea1Code() {
        return departmentArea1Code == null ? "" : departmentArea1Code;
    }

    public void setDepartmentArea1Code(String departmentArea1Code) {
        this.departmentArea1Code = departmentArea1Code;
    }

    public String getDepartmentArea1Name() {
        return departmentArea1Name == null ? "" : departmentArea1Name;
    }

    public void setDepartmentArea1Name(String departmentArea1Name) {
        this.departmentArea1Name = departmentArea1Name;
    }

    public String getDepartmentArea2Id() {
        return departmentArea2Id == null ? "" : departmentArea2Id;
    }

    public void setDepartmentArea2Id(String departmentArea2Id) {
        this.departmentArea2Id = departmentArea2Id;
    }

    public String getDepartmentArea2Code() {
        return departmentArea2Code == null ? "" : departmentArea2Code;
    }

    public void setDepartmentArea2Code(String departmentArea2Code) {
        this.departmentArea2Code = departmentArea2Code;
    }

    public String getDepartmentArea2Name() {
        return departmentArea2Name == null ? "" : departmentArea2Name;
    }

    public void setDepartmentArea2Name(String departmentArea2Name) {
        this.departmentArea2Name = departmentArea2Name;
    }

    public String getDepartmentArea3Id() {
        return departmentArea3Id == null ? "" : departmentArea3Id;
    }

    public void setDepartmentArea3Id(String departmentArea3Id) {
        this.departmentArea3Id = departmentArea3Id;
    }

    public String getDepartmentArea3Code() {
        return departmentArea3Code == null ? "" : departmentArea3Code;
    }

    public void setDepartmentArea3Code(String departmentArea3Code) {
        this.departmentArea3Code = departmentArea3Code;
    }

    public String getDepartmentArea3Name() {
        return departmentArea3Name == null ? "" : departmentArea3Name;
    }

    public void setDepartmentArea3Name(String departmentArea3Name) {
        this.departmentArea3Name = departmentArea3Name;
    }

    public String getDepartmentArea4Id() {
        return departmentArea4Id == null ? "" : departmentArea4Id;
    }

    public void setDepartmentArea4Id(String departmentArea4Id) {
        this.departmentArea4Id = departmentArea4Id;
    }

    public String getDepartmentArea4Code() {
        return departmentArea4Code == null ? "" : departmentArea4Code;
    }

    public void setDepartmentArea4Code(String departmentArea4Code) {
        this.departmentArea4Code = departmentArea4Code;
    }

    public String getDepartmentArea4Name() {
        return departmentArea4Name == null ? "" : departmentArea4Name;
    }

    public void setDepartmentArea4Name(String departmentArea4Name) {
        this.departmentArea4Name = departmentArea4Name;
    }

    public String getDepartmentArea5Id() {
        return departmentArea5Id == null ? "" : departmentArea5Id;
    }

    public void setDepartmentArea5Id(String departmentArea5Id) {
        this.departmentArea5Id = departmentArea5Id;
    }

    public String getDepartmentArea5Code() {
        return departmentArea5Code == null ? "" : departmentArea5Code;
    }

    public void setDepartmentArea5Code(String departmentArea5Code) {
        this.departmentArea5Code = departmentArea5Code;
    }

    public String getDepartmentArea5Name() {
        return departmentArea5Name == null ? "" : departmentArea5Name;
    }

    public void setDepartmentArea5Name(String departmentArea5Name) {
        this.departmentArea5Name = departmentArea5Name;
    }

    public String getDepartmentLongitude() {
        return departmentLongitude == null ? "" : departmentLongitude;
    }

    public void setDepartmentLongitude(String departmentLongitude) {
        this.departmentLongitude = departmentLongitude;
    }

    public String getDepartmentLatitude() {
        return departmentLatitude == null ? "" : departmentLatitude;
    }

    public void setDepartmentLatitude(String departmentLatitude) {
        this.departmentLatitude = departmentLatitude;
    }

    public String getDepartmentOrder() {
        return departmentOrder == null ? "" : departmentOrder;
    }

    public void setDepartmentOrder(String departmentOrder) {
        this.departmentOrder = departmentOrder;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"departmentIntId\":")
                .append(departmentIntId);
        sb.append(",\"departmentId\":\"")
                .append(departmentId).append('\"');
        sb.append(",\"departmentParentId\":\"")
                .append(departmentParentId).append('\"');
        sb.append(",\"departmentParentName\":\"")
                .append(departmentParentName).append('\"');
        sb.append(",\"departmentName\":\"")
                .append(departmentName).append('\"');
        sb.append(",\"departmentNameEn\":\"")
                .append(departmentNameEn).append('\"');
        sb.append(",\"departmentNameOther\":\"")
                .append(departmentNameOther).append('\"');
        sb.append(",\"departmentCode\":\"")
                .append(departmentCode).append('\"');
        sb.append(",\"departmentSummary\":\"")
                .append(departmentSummary).append('\"');
        sb.append(",\"departmentLogo\":")
                .append(departmentLogo);
        sb.append(",\"departmentLogoHover\":")
                .append(departmentLogoHover);
        sb.append(",\"departmentType\":")
                .append(departmentType);
        sb.append(",\"departmentState\":")
                .append(departmentState);
        sb.append(",\"departmentFax\":\"")
                .append(departmentFax).append('\"');
        sb.append(",\"departmentTel\":\"")
                .append(departmentTel).append('\"');
        sb.append(",\"departmentAddress\":\"")
                .append(departmentAddress).append('\"');
        sb.append(",\"departmentMaster\":\"")
                .append(departmentMaster).append('\"');
        sb.append(",\"departmentMasterName\":\"")
                .append(departmentMasterName).append('\"');
        sb.append(",\"departmentDuty\":\"")
                .append(departmentDuty).append('\"');
        sb.append(",\"departmentArea1Id\":\"")
                .append(departmentArea1Id).append('\"');
        sb.append(",\"departmentArea1Code\":\"")
                .append(departmentArea1Code).append('\"');
        sb.append(",\"departmentArea1Name\":\"")
                .append(departmentArea1Name).append('\"');
        sb.append(",\"departmentArea2Id\":\"")
                .append(departmentArea2Id).append('\"');
        sb.append(",\"departmentArea2Code\":\"")
                .append(departmentArea2Code).append('\"');
        sb.append(",\"departmentArea2Name\":\"")
                .append(departmentArea2Name).append('\"');
        sb.append(",\"departmentArea3Id\":\"")
                .append(departmentArea3Id).append('\"');
        sb.append(",\"departmentArea3Code\":\"")
                .append(departmentArea3Code).append('\"');
        sb.append(",\"departmentArea3Name\":\"")
                .append(departmentArea3Name).append('\"');
        sb.append(",\"departmentArea4Id\":\"")
                .append(departmentArea4Id).append('\"');
        sb.append(",\"departmentArea4Code\":\"")
                .append(departmentArea4Code).append('\"');
        sb.append(",\"departmentArea4Name\":\"")
                .append(departmentArea4Name).append('\"');
        sb.append(",\"departmentArea5Id\":\"")
                .append(departmentArea5Id).append('\"');
        sb.append(",\"departmentArea5Code\":\"")
                .append(departmentArea5Code).append('\"');
        sb.append(",\"departmentArea5Name\":\"")
                .append(departmentArea5Name).append('\"');
        sb.append(",\"departmentLongitude\":\"")
                .append(departmentLongitude).append('\"');
        sb.append(",\"departmentLatitude\":\"")
                .append(departmentLatitude).append('\"');
        sb.append(",\"departmentOrder\":\"")
                .append(departmentOrder).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
